import type { LoggerService } from "./logger-service";

export class NoopLoggerService implements LoggerService {
  trace() {}
  debug() {}
  info() {}
  warn() {}
  error() {}
  fatal() {}
  child() {
    return this;
  }
}
